image: python:3.9

stages:
  - deploy

production:
  stage: deploy
  before_script:
    - pip3 install awscli --upgrade
    - pip3 install aws-sam-cli --upgrade
  script:
    - cd topic-cluster
    - sam build
    - sam package --output-template-file template.yaml --s3-bucket topic-cluster-bucket --region us-east-2
    - sam deploy --template-file template.yaml --stack-name topic-cluster --s3-bucket topic-cluster-bucket --capabilities CAPABILITY_IAM --region us-east-2
  environment: production
